com.amazonaws.services.cloudfront.model

## Class Distribution

- java.lang.Object
- - com.amazonaws.services.cloudfront.model.Distribution

All Implemented Interfaces:
  Serializable, Cloneable

    public class Distribution
    extends Object
    implements Serializable, Cloneable

The distribution's information.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Distribution()` Default constructor for Distribution object.
`Distribution(String id, String status, String domainName)` Constructs a new Distribution object.

### Method Summary

All Methods Instance Methods Concrete Methods
`Distribution` `clone()`
`boolean` `equals(Object obj)`
`ActiveTrustedSigners` `getActiveTrustedSigners()` CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs.
`String` `getARN()` The ARN (Amazon Resource Name) for the distribution.
`DistributionConfig` `getDistributionConfig()` The current configuration information for the distribution.
`String` `getDomainName()` The domain name corresponding to the distribution.
`String` `getId()` The identifier for the distribution.
`Integer` `getInProgressInvalidationBatches()` The number of invalidation batches currently in progress.
`Date` `getLastModifiedTime()` The date and time the distribution was last modified.
`String` `getStatus()` This response element indicates the current status of the distribution.
`int` `hashCode()`
`void` `setActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)` CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs.
`void` `setARN(String aRN)` The ARN (Amazon Resource Name) for the distribution.
`void` `setDistributionConfig(DistributionConfig distributionConfig)` The current configuration information for the distribution.
`void` `setDomainName(String domainName)` The domain name corresponding to the distribution.
`void` `setId(String id)` The identifier for the distribution.
`void` `setInProgressInvalidationBatches(Integer inProgressInvalidationBatches)` The number of invalidation batches currently in progress.
`void` `setLastModifiedTime(Date lastModifiedTime)` The date and time the distribution was last modified.
`void` `setStatus(String status)` This response element indicates the current status of the distribution.
`String` `toString()` Returns a string representation of this object; useful for testing and debugging.
`Distribution` `withActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)` CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs.
`Distribution` `withARN(String aRN)` The ARN (Amazon Resource Name) for the distribution.
`Distribution` `withDistributionConfig(DistributionConfig distributionConfig)` The current configuration information for the distribution.
`Distribution` `withDomainName(String domainName)` The domain name corresponding to the distribution.
`Distribution` `withId(String id)` The identifier for the distribution.
`Distribution` `withInProgressInvalidationBatches(Integer inProgressInvalidationBatches)` The number of invalidation batches currently in progress.
`Distribution` `withLastModifiedTime(Date lastModifiedTime)` The date and time the distribution was last modified.
`Distribution` `withStatus(String status)` This response element indicates the current status of the distribution.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### Distribution

    public Distribution()

Default constructor for Distribution object. Callers should use the setter or fluent setter (with...) methods to initialize the object after creating it.

#### Distribution

    public Distribution(String id,
                        String status,
                        String domainName)

Constructs a new Distribution object. Callers should use the setter or fluent setter (with...) methods to initialize any additional object members.

Parameters:
  `id` - The identifier for the distribution. For example: `EDFDVBD632BHDS5`.
  `status` - This response element indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated to all CloudFront edge locations.
  `domainName` - The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net` .

### Method Detail

#### setId

    public void setId(String id)

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

#### getId

    public String getId()

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Returns:
  The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

#### withId

    public Distribution withId(String id)

The identifier for the distribution. For example: `EDFDVBD632BHDS5`.

Parameters:
  `id` - The identifier for the distribution. For example: `EDFDVBD632BHDS5`.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setARN

    public void setARN(String aRN)

The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Parameters:
  `aRN` - The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

#### getARN

    public String getARN()

The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Returns:
  The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

#### withARN

    public Distribution withARN(String aRN)

The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.

Parameters:
  `aRN` - The ARN (Amazon Resource Name) for the distribution. For example: `arn:aws:cloudfront::123456789012:distribution/EDFDVBD632BHDS5`, where `123456789012` is your AWS account ID.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setStatus

    public void setStatus(String status)

This response element indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated to all CloudFront edge locations.

Parameters:
  `status` - This response element indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated to all CloudFront edge locations.

#### getStatus

    public String getStatus()

This response element indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated to all CloudFront edge locations.

Returns:
  This response element indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated to all CloudFront edge locations.

#### withStatus

    public Distribution withStatus(String status)

This response element indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated to all CloudFront edge locations.

Parameters:
  `status` - This response element indicates the current status of the distribution. When the status is `Deployed`, the distribution's information is fully propagated to all CloudFront edge locations.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setLastModifiedTime

    public void setLastModifiedTime(Date lastModifiedTime)

The date and time the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time the distribution was last modified.

#### getLastModifiedTime

    public Date getLastModifiedTime()

The date and time the distribution was last modified.

Returns:
  The date and time the distribution was last modified.

#### withLastModifiedTime

    public Distribution withLastModifiedTime(Date lastModifiedTime)

The date and time the distribution was last modified.

Parameters:
  `lastModifiedTime` - The date and time the distribution was last modified.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setInProgressInvalidationBatches

    public void setInProgressInvalidationBatches(Integer inProgressInvalidationBatches)

The number of invalidation batches currently in progress.

Parameters:
  `inProgressInvalidationBatches` - The number of invalidation batches currently in progress.

#### getInProgressInvalidationBatches

    public Integer getInProgressInvalidationBatches()

The number of invalidation batches currently in progress.

Returns:
  The number of invalidation batches currently in progress.

#### withInProgressInvalidationBatches

    public Distribution withInProgressInvalidationBatches(Integer inProgressInvalidationBatches)

The number of invalidation batches currently in progress.

Parameters:
  `inProgressInvalidationBatches` - The number of invalidation batches currently in progress.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDomainName

    public void setDomainName(String domainName)

The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Parameters:
  `domainName` - The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net` .

#### getDomainName

    public String getDomainName()

The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Returns:
  The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

#### withDomainName

    public Distribution withDomainName(String domainName)

The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net`.

Parameters:
  `domainName` - The domain name corresponding to the distribution. For example: `d604721fxaaqy9.cloudfront.net` .
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setActiveTrustedSigners

    public void setActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)

CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs. The element lists the key pair IDs that CloudFront is aware of for each trusted signer. The `Signer` child element lists the AWS account number of the trusted signer (or an empty `Self` element if the signer is you). The `Signer` element also includes the IDs of any active key pairs associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create working signed URLs.

Parameters:
  `activeTrustedSigners` - CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs. The element lists the key pair IDs that CloudFront is aware of for each trusted signer. The `Signer` child element lists the AWS account number of the trusted signer (or an empty `Self` element if the signer is you). The `Signer` element also includes the IDs of any active key pairs associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create working signed URLs.

#### getActiveTrustedSigners

    public ActiveTrustedSigners getActiveTrustedSigners()

CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs. The element lists the key pair IDs that CloudFront is aware of for each trusted signer. The `Signer` child element lists the AWS account number of the trusted signer (or an empty `Self` element if the signer is you). The `Signer` element also includes the IDs of any active key pairs associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create working signed URLs.

Returns:
  CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs. The element lists the key pair IDs that CloudFront is aware of for each trusted signer. The `Signer` child element lists the AWS account number of the trusted signer (or an empty `Self` element if the signer is you). The `Signer` element also includes the IDs of any active key pairs associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create working signed URLs.

#### withActiveTrustedSigners

    public Distribution withActiveTrustedSigners(ActiveTrustedSigners activeTrustedSigners)

CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs. The element lists the key pair IDs that CloudFront is aware of for each trusted signer. The `Signer` child element lists the AWS account number of the trusted signer (or an empty `Self` element if the signer is you). The `Signer` element also includes the IDs of any active key pairs associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create working signed URLs.

Parameters:
  `activeTrustedSigners` - CloudFront automatically adds this element to the response only if you've set up the distribution to serve private content with signed URLs. The element lists the key pair IDs that CloudFront is aware of for each trusted signer. The `Signer` child element lists the AWS account number of the trusted signer (or an empty `Self` element if the signer is you). The `Signer` element also includes the IDs of any active key pairs associated with the trusted signer's AWS account. If no `KeyPairId` element appears for a `Signer`, that signer can't create working signed URLs.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### setDistributionConfig

    public void setDistributionConfig(DistributionConfig distributionConfig)

The current configuration information for the distribution. Send a `GET` request to the `/CloudFront API version/distribution ID/config` resource.

Parameters:
  `distributionConfig` - The current configuration information for the distribution. Send a `GET` request to the `/CloudFront API version/distribution ID/config` resource.

#### getDistributionConfig

    public DistributionConfig getDistributionConfig()

The current configuration information for the distribution. Send a `GET` request to the `/CloudFront API version/distribution ID/config` resource.

Returns:
  The current configuration information for the distribution. Send a `GET` request to the `/CloudFront API version/distribution ID/config` resource.

#### withDistributionConfig

    public Distribution withDistributionConfig(DistributionConfig distributionConfig)

The current configuration information for the distribution. Send a `GET` request to the `/CloudFront API version/distribution ID/config` resource.

Parameters:
  `distributionConfig` - The current configuration information for the distribution. Send a `GET` request to the `/CloudFront API version/distribution ID/config` resource.
Returns:
  Returns a reference to this object so that method calls can be chained together.

#### toString

    public String toString()

Returns a string representation of this object; useful for testing and debugging.

Overrides:
  `toString` in class `Object`
Returns:
  A string representation of this object.
See Also:
  `Object.toString()`

#### equals

    public boolean equals(Object obj)

Overrides:
  `equals` in class `Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `Object`

#### clone

    public Distribution clone()

Overrides:
  `clone` in class `Object`